<?php
namespace OrganizationsManagement\Factory;

use Teknisa\Model\Teknisa\Entities\OmServicoNotifDispParam as EntityOmServicoNotifDispParam;
use Teknisa\Libs\Util\Environment as TeknisaEnvironment;

class NotificationServicesDev{
    
    public function save(EntityOmServicoNotifDispParam $OmServicoNotifDispParam = null,  $idativo, $nmservnotifdispparam, $dsservnotifdispparam, $nrserviconotif_id, $currentOrganizationId, $currentUserId, $dateNow)
    {
        if ($OmServicoNotifDispParam === null) {
            $OmServicoNotifDispParam = new EntityOmServicoNotifDispParam();   
            $OmServicoNotifDispParam->setCdoperinclusao($currentUserId);
            $OmServicoNotifDispParam->setDtinclusao($dateNow);
            $OmServicoNotifDispParam->setNrorginclusao($currentOrganizationId);
        }
        
        $OmServicoNotifDispParam->setCdoperultatu($currentUserId);
        $OmServicoNotifDispParam->setDsservnotifdispparam($dsservnotifdispparam);
        $OmServicoNotifDispParam->setDtultatu($dateNow);
        $OmServicoNotifDispParam->setIdativo($idativo);
        $OmServicoNotifDispParam->setNmservnotifdispparam($nmservnotifdispparam);
        $OmServicoNotifDispParam->setNrorg($currentOrganizationId);
        $OmServicoNotifDispParam->setNrorgultatu($currentOrganizationId);
        $OmServicoNotifDispParam->setNrserviconotifId($nrserviconotif_id);
        
        return $OmServicoNotifDispParam;
        
    }
}