<?php
namespace OrganizationsManagement\Service;
use \Doctrine\ORM\EntityManager;
use OrganizationsManagement\Util\Utilities;
use Teknisa\Model\Geral\Repositories as GeralRepositories;

class Cidade {

    private $entityManager;
    /** @var GeralRepositories\Municipio $repositoryCidade */
    private $repositoryCidade;

    public function __construct(EntityManager $entityManager){
        $this->entityManager = $entityManager;
        $this->repositoryCidade = $this->entityManager->getRepository(Utilities::GERAL_ENTITY_DIR . 'Municipio');
    }

    public function obtemPorSiglaEstado($sigla, $filters){
        $cidades = '';
        if(is_array($sigla)){
            foreach($sigla as $key => $id){
                if($key == 0){
                    $cidades = "'" . $id . "'";
                }else{
                    $cidades.= ", '"  . $id . "'";
                }
                
            }
            return $this->repositoryCidade->obtemPorSiglasEstados($cidades, Utilities::createQueryFiltered($filters));
        }else{
            $cidades = $sigla;
            return $this->repositoryCidade->obtemPorSiglaEstado($cidades, Utilities::createQueryFiltered($filters));
        }
       
    }
}